# $Revision: 1.12.2.1 $, $Date: 2007/03/18 15:52:13 $
Summary:	MSN transport module for Jabber
Summary(pl):	Modu transportowy MSN dla systemu Jabber
Name:		jabber-msn-transport
Version:	1.2.8rc1
Release:	7
License:	distributable
Group:		Applications/Communications
Source0:	http://msn-transport.jabberstudio.org/msn-transport-%{version}.tar.gz
# Source0-md5:	832ac9fba617f11462c6457eacf4009a
Source2:	jabber-msntrans.init
Source3:	jabber-msntrans.sysconfig
Source4:	msntrans.xml
Patch0:		%{name}-curl-shared.patch
URL:		http://www.jabber.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	jabberd14-devel >= 1.4.3.1-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	jabber-common
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
%requires_eq	jabberd14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber to communicate with MSN servers.

%description -l pl
Modu ten umoliwia uytkownikom Jabbera komunikowanie si z
uytkownikami MSN.

%prep
%setup -qn msn-transport-%{version}
%patch0

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-pth=%{_includedir} \
	--with-curl-libs=%{_libdir} \
	--with-jabberd=/usr/include/jabberd14
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/jabberd14,%{_sysconfdir}/jabber} \
	$RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

install src/msntrans.so $RPM_BUILD_ROOT%{_libdir}/jabberd14
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabber-msntrans
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/jabber-msntrans
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/jabber/msntrans.xml
ln -sf %{_sbindir}/jabberd14 $RPM_BUILD_ROOT%{_sbindir}/jabber-msntrans

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in the config file..."
		%{__sed} -i -e "s/>secret</>$SECRET</" %{_sysconfdir}/jabber/msntrans.xml
	fi
fi

/sbin/chkconfig --add jabber-msntrans
%service jabber-msntrans restart "Jabber msn transport"

%preun
if [ "$1" = "0" ]; then
	%service jabber-msntrans stop
	/sbin/chkconfig --del jabber-msntrans
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/jabberd14/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*
%attr(754,root,root) /etc/rc.d/init.d/jabber-msntrans
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jabber-msntrans

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-msn-transport.spec,v $
Revision 1.12.2.1  2007/03/18 15:52:13  glen
- rel 7 (curl)

Revision 1.12  2006/05/21 17:14:47  glen
- rel 6

Revision 1.11  2006/05/21 17:12:12  glen
- use jabberd14-devel with pth-devel dep rather here

Revision 1.10  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.9  2005/06/26 02:20:46  zbyniu
- removed BRs provided by jabberd14-devel

Revision 1.8  2005/06/06 14:21:02  zbyniu
- BR: expat-devel; sorted verify() flags

Revision 1.7  2004/10/26 12:18:41  ankry
- rel. 5 to rebuild with jabberd14-1.4.3.1

Revision 1.6  2004/07/12 07:15:52  ankry
- rel. 4 to rebuild with curl-7.12

Revision 1.5  2004/01/25 22:28:59  undefine
- small patch to build without curl-static library, release 3

Revision 1.4  2004/01/13 13:49:34  qboosh
- cleanup

Revision 1.3  2004/01/13 09:00:02  pascalek
- Release 2
- use jabber-msntrans to start transport instead of jabberd14

Revision 1.2  2003/10/17 19:09:51  qboosh
- build in build section, not prep; BR: automake

Revision 1.1  2003/10/16 21:23:28  undefine
- initital pld version based on jabber-aim-transport spec.
